ListAddressBookEntries

Retrieve a list of all address book entries in a vault.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
int32

The maximum number of address book entries to return.
The service may return fewer than this value.
If unspecified, at most 50 address book entries will be returned.
The maximum value is 1000; values above 1000 will be coerced to 1000.

string

A page token, received from a previous ListAddressBookEntries call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListAddressBookEntries must
match the call that provided the page token.

string

A filter expression that filters address book entries listed in the response.

Supported fields and functions:

NameDescriptionExample
networkFilter by one or more networks (string...).network("networks/ethereum-mainnet")
addressFilter by one or more addresses, case-insensitive (string...).address("0x742d35Cc6634C0532925a3b8D4C9db96C4b4d8b6")
display_nameFilter by one or more display names, exact match and case-sensitive, supports a maximum of 100 display names. (string...).display_name("Cold Storage", "My Wallet")
create_timeFilter by creation time (string comparison).create_time > "2023-08-29T18:04:00Z"
string

A comma-separated list of fields by which to order the results.
Valid fields are:

  • create_time
  • display_name
  • address
  • network

The default sorting order is ascending. To specify descending order for a field, a suffix desc should be appended to the field name. For example: create_time desc.

Redundant field names are collapsed. For example if one specifies create_time desc, create_time, the results will be sorted by create_time desc only.

If a field is not specified, the results will be sorted by the default sorting order.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json